@charset 'UTF-8';

@use '../../node_modules/normalize.css/normalize.css';

$color-white: #ffffff;
$color-black: #000000;

$color-bg: #073b4c;
$color-1: #ef476f;
$color-2: #ffd166;
$color-3: #06d6a0;
$color-4: #118ab2;

$z-index-cursor: 999999;


* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  border: 0;
  cursor: none;
}

html,
body {
  width: 100%;
  height: 100%;
}

body {
  background-color: $color-bg;
}

.cursor {
  position: fixed;
  top: 0;
  left: 0;
  z-index: $z-index-cursor;
  transform: translate3d(
    calc(100vw * var(--cursor-x) - 1.5vw),
    calc(100vh * var(--cursor-y) - 2vw),
    0
  );
  pointer-events: none;
  opacity: 0;
  visibility: hidden;
  transition: opacity .3s;

  &.active {
    opacity: 1;
    visibility: visible;
  }

  @media (any-hover: none) {
    &,
    &.active {
      opacity: 0;
      visibility: hidden;
    }
  }

  svg {
    width: 10vw;
    transform: rotate(-35deg);
    filter: drop-shadow(.2vw .3vw 0 $color-2);

    path {
      fill: $color-1;
    }
  }
}
